summaryrefslogtreecommitdiffstats
path: root/source/x
diff options
context:
space:
mode:
Diffstat (limited to 'source/x')
-rwxr-xr-xsource/x/libinput/libinput.SlackBuild4
-rw-r--r--source/x/libinput/libinput.less.lag.complaining.diff20
2 files changed, 23 insertions, 1 deletions
diff --git a/source/x/libinput/libinput.SlackBuild b/source/x/libinput/libinput.SlackBuild
index f40a38d9b..531de3ff3 100755
--- a/source/x/libinput/libinput.SlackBuild
+++ b/source/x/libinput/libinput.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libinput
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,6 +79,8 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+zcat $CWD/libinput.less.lag.complaining.diff.gz | patch -p1 --verbose || exit 1
+
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
mkdir build
diff --git a/source/x/libinput/libinput.less.lag.complaining.diff b/source/x/libinput/libinput.less.lag.complaining.diff
new file mode 100644
index 000000000..a8d8c489a
--- /dev/null
+++ b/source/x/libinput/libinput.less.lag.complaining.diff
@@ -0,0 +1,20 @@
+--- ./src/evdev.c.orig 2020-08-12 22:50:03.612642300 -0500
++++ ./src/evdev.c 2020-08-20 17:26:17.663305924 -0500
+@@ -1027,7 +1027,7 @@
+
+ /* if we have a current libinput_dispatch() snapshot, compare our
+ * event time with the one from the snapshot. If we have more than
+- * 10ms delay, complain about it. This catches delays in processing
++ * 75ms delay, complain about it. This catches delays in processing
+ * where there is no steady event flow and thus SYN_DROPPED may not
+ * get hit by the kernel despite us being too slow.
+ */
+@@ -1035,7 +1035,7 @@
+ return;
+
+ tdelta = us2ms(libinput->dispatch_time - input_event_time(ev));
+- if (tdelta > 10) {
++ if (tdelta > 75) {
+ evdev_log_bug_client_ratelimit(device,
+ &device->delay_warning_limit,
+ "event processing lagging behind by %dms, your system is too slow\n",